@import "@/styles/variables";

.heading {
    grid-column: 1 / -1;
    color: $black;
    font-family: var(--font-roboto);
    margin: 0;

    @include notebook {
        grid-column: 2 / 12;
    }

    &_color_primary {
        color: $primary-color-dark;
    }

    &_color_secondary {
        color: $secondary-color;
    }

    &_color_gray {
        color: $gray-dark;
    }

    &_color_gray-light {
        color: $gray-light;
    }

    &_color_white {
        color: $white;
    }
}

.h1 {
    @include h1-mobile;

    @include tablet {
        @include h1-tablet;
    }

    @include notebook {
        @include h1-desktop;
    }
}

.h2 {
    @include h2-mobile;

    @include tablet {
        @include h2-tablet;
    }

    @include notebook {
        @include h2-desktop;
    }
}

.h3 {
    @include h3-mobile;

    @include tablet {
        @include h3-tablet;
    }

    @include notebook {
        @include h3-desktop;
    }
}

.h4 {
    @include h4-mobile;

    @include tablet {
        @include h4-tablet;
    }

    @include notebook {
        @include h4-desktop;
    }
}

.h5 {
    @include h5-mobile;

    @include tablet {
        @include h5-tablet;
    }

    @include notebook {
        @include h5-desktop;
    }
}

.h6 {
    @include h6-mobile;

    @include tablet {
        @include h6-tablet;
    }

    @include notebook {
        @include h6-desktop;
    }
}
